<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
	<title>Flot Examples: Real-time updates</title>
	<script type='text/javascript' src='/libs/js/jquery/jquery-1.8.3.min.js'></script>
	<script type='text/javascript' src='/modules/openvpn_server/themes/ifmonitor/js/jquery.jqplot.min.js'></script>
	<link rel="stylesheet" type="text/css" href="/modules/openvpn_server/themes/ifmonitor/css/jquery.jqplot.min.css">
	<script type='text/javascript' src='/modules/openvpn_server/themes/ifmonitor/js/jqplot.barRenderer.min.js'></script>
	<script type='text/javascript' src='/modules/openvpn_server/themes/ifmonitor/js/jqplot.categoryAxisRenderer.min.js'></script>
	<script type='text/javascript' src='/modules/openvpn_server/themes/ifmonitor/js/jqplot.pointLabels.min.js'></script>
	<script type='text/javascript' src='/modules/openvpn_server/themes/ifmonitor/js/jqplot.cursor.min.js'></script>
	<script type="text/javascript">
	$( document ).ready(function() {
	    /* store empty array or array of original data to plot on page load */
	    var RX_bytes = [0];
	    var TX_bytes = [0];
	    var RX_bytes_count = [0];
	    var TX_bytes_count = [0];
	    
	    var max = 200;
	    var plot1;
	    renderGraph();

    	    doUpdate();

	    function renderGraph() {
		if (plot1) {
    		    plot1.destroy();
		}
		plot1 = $.jqplot('chart1', [RX_bytes,TX_bytes],
		{
		    title:'OpenVPN Network Utilization', 
		    axes: {
			xaxis:{
			    min:0,
			    max:200,
	                    tickOptions:{
	                	formatString:' '
	                    } 
	                },
	                yaxis:{
	            	    min:0,
	            	    tickOptions:{
	                	formatString:'%.2f Mbit/s'
	                    }
	                }
	             },
		    series:[
		        {label:'RX Speed'},
		        {label:'TX Speed'}
		    ],
		    // the legend to overflow the container.
    	            legend: {
                        show: true,
                        placement: 'insideGrid'
                    },
		    seriesColors: ['#2e7bff', '#0fab03'],
		    seriesDefaults: {
			showMarker: false,
		        fill: false,
		        lineWidth: 2,
		        fillAndStroke: true,
		        rendererOptions: {
		    	    smooth: true
                        }
		    }, 
		    grid: {
			drawBorder: false,
		        shadow: false,
                        background: 'white'
	            },
        	});
	    }



	    function doUpdate() {
    		$.post('getvals.php', function(response) {
    			var RXTX = response.split(",");
        		
        		var RXVal = new Number(RXTX[0]); 
        		var TXVal = new Number(RXTX[1]); 
        		
        		var render = true;
        		if(RX_bytes_count.length == 1)
        		{
        		    RX_bytes_count.push(RXVal);
        		    TX_bytes_count.push(TXVal);
        		    render = false;
			}
			else
			{
			    var d = new Date();
			    var push_value_rx = Math.round(((RXVal-RX_bytes_count[RX_bytes_count.length - 1])*8)/1048576);
			    var push_value_tx = Math.round(((TXVal-TX_bytes_count[TX_bytes_count.length - 1])*8)/1048576);
			    if(push_value_rx >=0)
			    {
        			RX_bytes.push(push_value_rx);
				RX_bytes_count.push(RXVal);
			    }
			    if(push_value_tx >=0)
			    {
        			TX_bytes.push(push_value_tx);
				TX_bytes_count.push(TXVal);
			    }
			}
        		        		
        		if(RX_bytes.length > max) 
        		{
        		    RX_bytes.shift();
        		    TX_bytes.shift();
        		    RX_bytes_count.shift();
        		    TX_bytes_count.shift();
        		}
        		
        		
        		if(render) renderGraph();
//        		log('New Value '+ RXVal+' added')
        		setTimeout(doUpdate, 1000)
    		    });
	    }

	    function log(msg) {
		$('body').append('<div>'+msg+'</div>')
	    }
	});
	</script>
</head>
<body>
<div id="chart1" style="height: 400px; width: 800px; position: relative;"></div>
</body>
</html>
